Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gudusoft.gsqlparser.stmt.oracle
Class TPlsqlVarrayTypeDefStmt

    java.lang.Object
      gudusoft.gsqlparser.nodes.TParseTreeNode
          gudusoft.gsqlparser.TCustomSqlStatement
              gudusoft.gsqlparser.stmt.oracle.TPlsqlStmt
                  gudusoft.gsqlparser.stmt.oracle.TPlsqlVarrayTypeDefStmt

All Implemented Interfaces:
  Visitable

    public class TPlsqlVarrayTypeDefStmt

extends TPlsqlStmt

A collection groups elements of the same type in a specified order. Each element has a unique subscript that determines its position in the collection.

PL/SQL has three kinds of collections:

- Associative arrays (formerly called "PL/SQL tables" or "index-by tables"), represents by `TPlsqlTableTypeDefStmt`
- Nested tables, represents by `TPlsqlTableTypeDefStmt`
- Variable-size arrays (varrays), represents by `TPlsqlVarrayTypeDefStmt`

Associative arrays can be indexed by either integers or strings. Nested tables and varrays are indexed by integers.

Field Summary

Fields inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`dbvendor, dummytag, joins, parser, plsqlparser, rootNode, sourcetokenlist, sqlstatementtype, tables`

Constructor Summary
`TPlsqlVarrayTypeDefStmt()`
`TPlsqlVarrayTypeDefStmt(EDbVendor dbvendor)`

Method Summary
`void` | `accept(TParseTreeVisitor v)`
`int` | `doParseStatement(TCustomSqlStatement psql)`
`TTypeName` | `getElementDataType()` The data type of the collection element.
`boolean` | `getNotNull()` Specifies that no element can have the value NULL.
`TConstant` | `getSizeLimit()` For a varray, a positive integer literal that specifies the maximum number of elements it can contain.
`TObjectName` | `getTypeName()` The name that you give to the collection type that you are defining.
`void` | `init(java.lang.Object arg1, java.lang.Object arg2)`
`void` | `setNotNull(boolean notNull)`
`void` | `setSizeLimit(TConstant sizeLimit)`

Methods inherited from class gudusoft.gsqlparser.stmt.oracle.TPlsqlStmt
`getEndlabelName, getLabelName, setEndlabelName, setLabelName`

Methods inherited from class gudusoft.gsqlparser.TCustomSqlStatement
`addWhereClause, analyzeFromTable, analyzeJoin, analyzeTablename, checkNonQualifiedColumnReferenceInSubQueryOfUplevelStmt, getCteList, getErrorCount, getOutputClause, getParentStmt, getResultColumnList, getReturningClause, getStatements, getSymbolTable, getTargetTable, getTopClause, getTopStatement, getWhereClause, isnzplsql, isoracleplsql, ispgplsql, linkColumnReferenceToTable, locateVariableOrParameter, OracleStatementCanBeSeparatedByBeginEndPair, parsestatement, setCteList, setOutputClause, setParentStmt, setResultColumnList, setReturningClause, setTargetTable, setTopClause, setWhereClause`

Methods inherited from class gudusoft.gsqlparser.nodes.TParseTreeNode
`addAllMyTokensToTokenList, doParse, getColumnNo, getDummyTag, getEndToken, getGsqlparser, getLineNo, getNodeType, getStartToken, init, init, init, init, init, setDummyTag, setEndToken, setEndToken, setGsqlparser, setNodeType, setStartToken, setStartToken, setString, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TPlsqlVarrayTypeDefStmt

    public TPlsqlVarrayTypeDefStmt()

### TPlsqlVarrayTypeDefStmt

    public TPlsqlVarrayTypeDefStmt(EDbVendor dbvendor)

Method Detail

### doParseStatement

    public int doParseStatement(TCustomSqlStatement psql)

  Overrides:
    `doParseStatement` in class `TCustomSqlStatement`

### init

    public void init(java.lang.Object arg1,
                     java.lang.Object arg2)

  Overrides:
    `init` in class `TParseTreeNode`

### getElementDataType

    public TTypeName getElementDataType()

  The data type of the collection element.

  Returns:

### setNotNull

    public void setNotNull(boolean notNull)

### getNotNull

    public boolean getNotNull()

  Specifies that no element can have the value NULL.

  Returns:

### setSizeLimit

    public void setSizeLimit(TConstant sizeLimit)

### getTypeName

    public TObjectName getTypeName()

  The name that you give to the collection type that you are defining.

  Returns:

### getSizeLimit

    public TConstant getSizeLimit()

  For a varray, a positive integer literal that specifies the maximum number of elements it can contain.

  Returns:

### accept

    public void accept(TParseTreeVisitor v)

  Specified by:
    `accept` in interface `Visitable`
  Overrides:
    `accept` in class `TParseTreeNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD